#{extends 'borderNG.html' /}
<ol class="breadcrumb" style="background-color: #d9534f !important;">
	<li><a href="@{BerandaCtr.index()}">&{'kontrakpl.paketnont'}</a></li>
	<li><a href="@{nonlelang.KontrakPlCtr.listSppbjPl(pl.lls_id)}">&{'kontrakpl.ekontrak'}</a></li>
	<li><a href="@{nonlelang.KontrakPlCtr.suratPesananPpkPl(sppbj.sppbj_id)}">&{'kontrakpl.daftarspp'}</a></li>
	<li class="active">&{'kontrakpl.formspp'}</li>
</ol>
<div class="content">
#{alert /}
#{form @kontrak.SppPlCtr.simpanSuratPesananPl(sppbj.sppbj_id ,kontrakx.kontrak_id), name:'formPesanan', enctype:"multipart/form-data", method:'POST'}

  	<table class="table table-sm">
 
  	#{if pesananx?.pes_id!=null}
  	<input type="hidden" name="pesanan.pes_id" value="${pesananx?.pes_id}">
  	<input type="hidden" name="pesanan.kontrak_id" value="${pesananx?.kontrak_id}">
  	<input name="tgl_pes" value="${tgl_pes?.toDatepicker()}" type="hidden" class="form-control" />
  	#{/if}
		#{else}
            <input type="hidden" name="pesanan.kontrak_id" value="${kontrakx.kontrak_id}">
		#{/else}
    		<tr>
				<td width="300" >&{'kontrakpl.nosuratpesanan'} <span class="error">*</span></td>
				<td class="#{errorClass 'pesanan.pes_no'/}">
					<input type="text" class="form-control input-sm" id="noSuratPesanan" name="pesanan.pes_no" value="${flash.contains('pesanan.pes_no')?flash['pesanan.pes_no']:pesananx?.pes_no}"/>
					<span class="help-block">#{error 'pesanan.pes_no' /}</span>
				</td>
			</tr>
			<tr>
				<td >&{'kontrakpl.tglsuratpesanan'} <span class="error">*</span></td>
				<td class="#{errorClass 'pesanan.pes_tgl'/}">
					<div class=" input-group date width-normal ">					
					<input name="pesanan.pes_tgl" value="${flash.contains('pesanan.pes_tgl')?flash['pesanan.pes_tgl']:pesananx?.pes_tgl?.toDatepicker()}" type="text" class="form-control" />
            	<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
            </div><span class="help-block">#{error 'pesanan.pes_tgl' /}</span>
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.np'} </td>
				<td >
					${pl?.paket?.pkt_nama}
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.namappk'} </td>
				<td >
					${pegawai.peg_nama}
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.jabatanppk'}</td>
				<td >
					${pegawai.peg_jabatan}
				</td>
			</tr>
			
			<tr>
				<td >NIP PPK </td>
				<td >
					${pegawai?.peg_nip}
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.namasatuan'} </td>
				<td >
					${pl?.paket?.getNamaSatker()}
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.alamatsatuan'} </td>
				<td >
					${pl?.paket?.getAlamatSatker()}
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.nosuratperjanjian'} </td>
				<td >
					${kontrakx?.kontrak_no}
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.tglsuratperjanjian'}</td>
				<td >
					${kontrakx?.kontrak_tanggal?.formatDate()}
					
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.namapemenang'} </td>
				<td >
					${kontrakx?.rekanan?.rkn_nama}
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.alamatpemenang'} </td>
				<td >
					${kontrakx?.rekanan?.rkn_alamat}
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.wakilsah'} </td>
				<td class="#{errorClass 'content.wakil_sah_rekanan'/}">
				<input type="text" class="form-control input-sm"  name="content.wakil_sah_rekanan" value="${flash.contains('content.wakil_sah_rekanan')?flash['content.wakil_sah_rekanan']:content?.wakil_sah_rekanan}"/>
					<span class="help-block">#{error 'content.wakil_sah_rekanan' /}</span>
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.jabatanwakil'} </td>
				<td >
					<input type="text" class="form-control "  name="content.jabatan_wakil_rekanan" value="${flash.contains('content.jabatan_wakil_rekanan')?flash['content.jabatan_wakil_rekanan']:content?.jabatan_wakil_rekanan}"/>
				</td>
			</tr>			
			<tr>
				<td >&{'kontrakpl.tglbrgditerima'} </td>
				<td >
					<div class=" input-group date width-normal datepicker">
				<input name="tgl_diterima" value="${flash.contains('tgl_diterima')?flash['tgl_diterima']:content?.tgl_brng_diterima?.toDatepicker()}" type="text"
					   class="form-control datepicker" />
						<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
            </div>
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.waktupenyelesaian'} </td>
				<td class="#{errorClass 'content.waktu_penyelesaian'/}">
					<input type="text" class="form-control input-sm"  name="content.waktu_penyelesaian" value="${flash.contains('content.waktu_penyelesaian')?flash['content.waktu_penyelesaian']:content?.waktu_penyelesaian}" placeholder="&{'kontrakpl.contohisitgl '}"/>
					<span class="help-block">#{error 'content.waktu_penyelesaian' /}</span>
				</td>
			</tr>
			
			<tr>
				<td > &{'kotrakpl.tglpekerjaansl'}</td>
				<td >
					<div class=" input-group date width-normal datepicker">
				<input name="tgl_selesai" value="${flash.contains('tgl_selesai')?flash['tgl_selesai']:content?.tgl_pekerjaan_selesai?.toDatepicker()}" type="text"
					   class="form-control datepicker" />
						<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
            </div>
        
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.alamatpengiriman'} </td>
				<td >
					<input type="text" class="form-control  "  name="content.alamat_kirim" value="${flash.contains('content.alamat_kirim')?flash['content.alamat_kirim']:content?.alamat_kirim}"/>
				</td>
			</tr>
			
			<tr>
				<td >&{'kontrakpl.kotasurat'} </td>
				<td >
					<input type="text" class="form-control  " name="content.kota_pesanan" value="${flash.contains('content.kota_pesanan')?flash['content.kota_pesanan']:content?.kota_pesanan}"/>
				</td>
			</tr>
			 #{if pl.getPemilihan().isLelangExpress()}
			 <tr>
				<td >&{'kontrakpl.jaminancacat'} </td>
				<td >
					<input type="text" class="form-control  "
						   name="content.jaminan" value="${flash.contains('content.jaminan')?flash['content.jaminan']:content?.jaminan}" onclick="return false;"/>
				</td>
			</tr>
			#{/if}
		#{if pesananx?.pes_id && pl.getKategori().isBarang()}
		<tr>
			<td >&{'kontrakpl.rincianbrg'} </td>
			<td > <a href="@{openRincianBarang(pl.lls_id, pesananx.pes_id)}">&{'kontrakpl.detailbrg'}</a>
	</tr>
	#{/if}
	#{if pesananx?.pes_id}
	<tr>
	<td >&{'kontrakpl.dokcetakpesanan'}</td>
	<td >
		<div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
		<i class="glyphicon glyphicon-plus"></i>
		<span>&{'dokumenpl.upload'}</span>
		<input id="fileupload" type="file" name="file" />
	</div>
		<div id="progress" class="progress" style="display: none;">
			<div class="progress-bar progress-bar-success"></div>
		</div>
		<div id="alert-upload"></div>
		<input type="hidden" id="id_attachment" name="pesanan.pes_attachment" value="${pesananx?.pes_attachment}" />
		<table class="table table-sm table-striped"" id="files">
			<thead>
			<th>&{'kontrakpl.nfile'}</th>
			<th>&{'kontrakpl.tup'}</th>
			</thead>
			<tbody>
				#{list items:pesananx?.dokumen, as:'dok'}
				<tr>
					<td>#{download dok/}</td>
					<td>${dok?.blb_date_time?.formatDateTime()}</td>
					<td><a href="javascript:void(0)" title="Hapus" class="removeDok" versi="${dok.blb_versi}">
						<i class="fa fa-trash-o"></i></a>
					</td>
				</tr>
				#{/list}
			</tbody>
		</table>
	</td>
	</tr>
	#{/if}
		<tr>
			<td colspan="3">
				<button type="submit" name="simpan"  class="btn btn-success"><i class="fa fa-save"></i> &{'kontrakpl.upload'}</button>
					#{if pesananx?.pes_id}
					<a href="@{nonlelang.KontrakPlCtr.cetakPesananPl(sppbj.sppbj_id, kontrakx.kontrak_id, pesananx.pes_id)}" class="btn btn-primary" ><i class="fa fa-print"></i> &{'kontrakpl.cetak'}</a>
					<a href="@{nonlelang.KontrakPlCtr.hapusPesananPl(sppbj.sppbj_id, kontrakx.kontrak_id, pesananx.pes_id)}" class="btn btn-danger" ><i class="fa fa-trash-o fa-lg"></i> &{'kontrakpl.hapus'}</a>
					#{/if}
					<a href="@{nonlelang.KontrakPlCtr.suratPesananPpkPl(sppbj.sppbj_id)}" class="btn btn-default" >&{'kontrakpl.kembali'} </a>
	</td>
			</tr>
    	</table>
    	#{/form}
</div>
<span id="result"></span>

#{set 'css_custom' }
<link href="#{assets '/handsontable/handsontable.full.min.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
	#{if pesananx?.pes_id}
	<script type="text/javascript">
		$(document).on('click', '#fileupload', function(){
			var url = '@{kontrak.SppPlCtr.uploadDokPesanan(pesananx?.pes_id)}';
			$('#fileupload').fileupload({
				url: url,
				dataType: 'json',
				acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
				done: function (e, data) {
					$('#progress').hide();
					if (data.result.success) {
						$.each(data.result.files, function (index, file) {
							var upload_date = file.upload_date;
							var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
									'<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
									'<i class="fa fa-trash-o" ></i></a></td>';
							$('#id_attachment').val(file.id);
							$('<tr/>').html(content).appendTo('#files');
						});
						$('#alert-upload').attr('class', 'alert alert-success').html('&{'kontrakpl.berhasilup'}').show();
					} else {
						$('#alert-upload').attr('class', 'alert alert-danger fade in').html(data.result.message).show();
					}
				},
				progressall: function (e, data) {
					var progress = parseInt(data.loaded / data.total * 100, 10);
					$('#progress').show();
					$('#progress .progress-bar').css(
							'width',
							progress + '%'
					);
				}
			}).on('fileuploadprocessalways', function (e, data) {
				var file = data.files[data.index];
				if (data.files.error && file.error) {
					var msg = file.name+' - '+file.error
					$('#alert-upload').attr('class', 'alert alert-danger').html(msg).show()
				}
			}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
		});

		$(document).on('click', '.removeDok', function(){
			var versi = $(this).attr('versi')
			var parent = $(this).parent()
			var source  = #{jsRoute @kontrak.SppPlCtr.hapusDokPesanan(pesananx?.pes_id) /};
			$.ajax({
				type: 'POST',
				url: source.url(),
				data : {'versi': versi},
				success : function(){
					$('#alert-upload').attr('class', 'alert alert-success').html('&{'kontrakpl.fileterhapus'}').show();
					parent.parent().remove()
				},
				error : function(){
					$('#alert-upload').attr('class', 'alert alert-danger').html('&{'kontrakpl.tdkbisahapus'}').show();
				}
			})
		});
	</script>
	#{/if}
#{/set}